<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Productos</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.7.0/css/all.css">
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.7.0/css/all.css"
        integrity="sha384-lZN37f5QGtY3VHgisS14W3ExzMWZxybE1SJSEsQp9S+oqd12jhcu+A56Ebc1zFSJ" crossorigin="anonymous">
    <link rel="preconnect" href="https://fonts.gstatic.com/%22%3E">
    <link rel="stylesheet" href="../css/style.css">
    <link href="https://fonts.googleapis.com/css2?family=Orelega+One&display=swap" rel="stylesheet">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.16.0/umd/popper.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <script>
        // Get the modal
        var modal = document.getElementById("myModal");

        // Get the image and insert it inside the modal - use its "alt" text as a caption
        var img = document.getElementById("myImg");
        var modalImg = document.getElementById("img01");
        var captionText = document.getElementById("caption");
        img.onclick = function () {
            modal.style.display = "block";
            modalImg.src = this.src;
            captionText.innerHTML = this.alt;
        }

        // Get the <span> element that closes the modal
        var span = document.getElementsByClassName("close")[0];

        // When the user clicks on <span> (x), close the modal
        span.onclick = function () {
            modal.style.display = "none";
        }
    </script>
    <style>
        .filterDiv {
            color: #ffffff;
            width: 100px;
            text-align: center;
            display: none;
        }

        .show {
            display: block;
        }

        .container {
            margin-top: 20px;

        }

        /* Style the buttons */
        .btn {
            border: none;
            outline: none;
            padding: 12px 16px;
            background-color: #f1f1f1;
            cursor: pointer;
        }

        .btn:hover {
            background-color: #ddd;
        }

        .btn.active {
            background-color: #666;
            color: white;
        }
    </style>
</head>

<body class="bp">
    <!--botones navdrop-->
    <nav class="navbar navbar-expand-sm bg-dark navbar-dark sticky-top bp bor">

        <a class="navbar-brand"><img src="../img/logo.jpg" height="100"></a>

        <ul class="nav-item dropdown">
            <a class="nav-link dropdown-toggle color1" href="#" id="navbardrop" data-toggle="dropdown">
                Tienda
            </a>
            <div class="dropdown-menu">
                <a class="dropdown-item" href="../Tienda/ultimo.html">¡Lo ultimo!</a>
                <a class="dropdown-item" href="../Tienda/hotsale.html">¡Lo mas vendido!</a>
                <a class="dropdown-item" href="../Tienda/ofertas.html">¡Ofertas!</a>
            </div>
        </ul>
        <ul class="nav-item dropdown">
            <a class="nav-link dropdown-toggle color1" href="#" id="navbardrop" data-toggle="dropdown">
                Artistas
            </a>
            <div class="dropdown-menu">
                <span class="dropdown-item-text ali">YG Entertainment</span>
                <a class="dropdown-item" href="../Artista/blackpink.html" style="text-align: center;">Blackpink</a>
                <span class="dropdown-item-text">----------------</span>
                <span class="dropdown-item-text ali">JYP Entertainment</span>
                <a class="dropdown-item" href="../Artista/twice.html" style="text-align: center;">Twice</a>
                <span class="dropdown-item-text">----------------</span>
                <span class="dropdown-item-text ali">MNH Entertainment<span>
                        <a class="dropdown-item" href="../Artista/nct.html">NCT</a>
            </div>
        </ul>
        <ul class="nav-item dropdown">
            <a class="nav-link dropdown-toggle color1" href="#" id="navbardrop" data-toggle="dropdown">
                Productos
            </a>
            <div class="dropdown-menu">
                <a class="dropdown-item" href="../Producto/Ropa.html">Ropa</a>
                <a class="dropdown-item" href="../Producto/Accesorios.html">Accesorios</a>
                <a class="dropdown-item" href="../Producto/Producto.html">Todos</a>
            </div>
        </ul>
    </nav>
    <br>
    <!--CRUMBS-->
    <div class="container-fluid">
        <div id="crumbs" class="row">
            <div class="col-12">
                <ol class="breadcrumb">
                    <li class="breadcrumb-item"><a href="../index.html" class="color">Home</a></li>
                    <li class="breadcrumb-item"><a href="../Producto.html" class="color">Productos</a></li>
                </ol>
            </div>
        </div>
    </div>
    <!--FIN CRUMBS-->

    <!--fin botones drop-->

    <!--inicio buscar-->
    <div class="container-fluid">
        <div class="row marcar">
            <div class="col-9">
                <form autocomplete="off" action="../Artista/blackpink.html">
                    <div class="autocomplete">
                        <input id="myInput" type="text" name="myGroups" placeholder="Buscar...">
                    </div>
                    <input type="submit">
                </form>
            </div>
            <div class="text-xl-right col-11,">
                <div id="myBtnContainer">
                    <button class="btn active" onclick="filterSelection('all')" style="background-color: #F4ECF9;">
                        Mostrar
                        todo</button>
                    <button class="btn" onclick="filterSelection('Blackpink')" style="background-color: #F4ECF9;">
                        Blackpink</button>
                    <button class="btn" onclick="filterSelection('Twice')" style="background-color: #F4ECF9;">
                        Twice</button>
                    <button class="btn" onclick="filterSelection('NCT')" style="background-color: #F4ECF9;">
                        NCT</button>
                </div>
            </div>
        </div>
    </div>
    <!--fin buscar-->
    <!--fin buscar-->
    <!--Inicio Modal -->
    <div id="myModal" class="modal">
        <span class="close">&times;</span>
        <img class="modal-content" id="img01">
        <div id="caption"></div>
    </div>
    <!--Fin Modal-->
    <!--grid-->
    <div class="container-fluid ttt">
        <div class="row">
            <div class="flip-card col-sm-4 filterDiv Twice te">
                <div class="flip-card-inner">
                    <div class="flip-card-front card-title">
                        <a href="../twice-hoodie.html"><img id="myImg"
                                src="https://cdn.shopify.com/s/files/1/0267/1371/8831/products/Tie-Dye-LS-Front_1024x1024.png?v=1590536008"
                                width="90%" alt="Avatar"></a>
                        <h1><a href="../twice-hoodie.html" class="color"> Poleron Twice</h1>
                        </a>
                        <p class="color">$19.000</p>
                    </div>
                    <div class="flip-card-back card-title">
                        <a href="../twice-hoodie.html"><img id="myImg"
                                src="https://cdn.shopify.com/s/files/1/0267/1371/8831/products/Tie-Dye-LS-Back_1024x1024.png?v=1590536008"
                                width="90%"></a>
                        <h1><a href="../twice-hoodie.html" class="color"> Poleron Twice</h1>
                        </a>
                        <p class="color">$19.000</p>
                    </div>
                </div>
            </div>
            <div class="flip-card col-sm-4 filterDiv Twice te">
                <div class="flip-card-inner">
                    <div class="flip-card-front card-title">
                        <a href="../twice-hat.html"><img id="myImg"
                                src="https://cdn.shopify.com/s/files/1/0267/1371/8831/products/Dad-Hat-Front_1024x1024.png?v=1590539501"
                                width="90%" alt="Avatar1"></a>
                        <h1><a href="../twice-hat.html" class="color"> Gorra Twice</h1>
                        </a>
                        <p class="color">$15.000</p>
                    </div>
                    <div class="flip-card-back card-title">
                        <a href="../twice-hat.html"><img id="myImg"
                                src="https://cdn.shopify.com/s/files/1/0267/1371/8831/products/Dad-hat-Back_1024x1024.png?v=1590539501"
                                width="90%"></a>
                        <h1><a href="../twice-hat.html" class="color"> Gorra Twice</h1>
                        </a>
                        <p class="color">$15.000</p>
                    </div>
                </div>
            </div>
            <div class="flip-card col-sm-4 filterDiv Twice te">
                <div class="flip-card-inner">
                    <div class="flip-card-front card-title">
                        <a href="../twice-shirt.html"><img id="myImg"
                                src="https://cdn.shopify.com/s/files/1/0267/1371/8831/products/Collage-Tee-Back_1024x1024.png?v=1590681217"
                                width="90%" alt="Avatar2"></a>
                        <h1><a href="../twice-shirt.html" class="color"> Polera Twice</h1>
                        </a>
                        <p class="color">$45.999</p>
                    </div>
                    <div class="flip-card-back card-title">
                        <a href="../twice-shirt.html"><img id="myImg"
                                src="https://cdn.shopify.com/s/files/1/0267/1371/8831/products/Collage-Tee-Front_1024x1024.png?v=1590681217"
                                width="90%" alt="Avatar2"></a>
                        <h1><a href="../twice-shirt.html" class="color"> Polera Twice</h1>
                        </a>
                        <p class="color">$45.999</p>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="container-fluid ttt">
        <div class="row">
            <div class="flip-card col-sm-4 filterDiv Blackpink te">
                <div class="flip-card-inner">
                    <div class="flip-card-front card-title">
                        <a href="../bp-hat.html"><img id="myImg"
                                src="https://cdn.shopify.com/s/files/1/0022/5011/3123/products/BPHATFRONTOPT2_1_04991730-b190-46e4-8b89-856d893cdcf0_1024x1024.png?v=1595869357"
                                width="90%" alt="Avatar3"></a>
                        <h1><a href="../bp-hat.html" class="color"> Gorra Blackpink</h1>
                        </a>
                        <p class="color">$16.000</p>
                    </div>
                    <div class="flip-card-back card-title">
                        <a href="../bp-hat.html"><img id="myImg"
                                src="https://cdn.shopify.com/s/files/1/0022/5011/3123/products/BPHATBACKLISA_1_1024x1024.png?v=1595869357"
                                width="90%" alt="Avatar3"></a>
                        <h1><a href="../bp-hat.html" class="color"> Gorra Blackpink</h1>
                        </a>
                        <p class="color">$16.000</p>
                    </div>
                </div>
            </div>
            <div class="flip-card col-sm-4 filterDiv Blackpink te">
                <div class="flip-card-inner">
                    <div class="flip-card-front card-title">
                        <a href="../bp-hoodie.html"><img id="myImg"
                                src="https://cdn.shopify.com/s/files/1/0022/5011/3123/products/BPSG_CrewF_1024x1024.png?v=1598580527"
                                width="90%" alt="Avatar4"></a>
                        <h1><a href="../bp-hoodie.html" class="color"> Poleron Blackpink</h1>
                        </a>
                        <p class="color">$45.999</p>
                    </div>
                    <div class="flip-card-back card-title">
                        <a href="../bp-hoodie.html"><img id="myImg"
                                src="https://cdn.shopify.com/s/files/1/0022/5011/3123/products/BPSG_CrewB_1024x1024.png?v=1598580527"
                                width="90%" alt="Avatar4"></a>
                        <h1><a href="../bp-hoodie.html" class="color"> Poleron Blackpink</h1>
                        </a>
                        <p class="color">$45.999</p>
                    </div>
                </div>
            </div>
            <div class="flip-card col-sm-4 filterDiv Blackpink te">
                <div class="flip-card-inner">
                    <div class="flip-card-front card-title">
                        <a href="../bp-jersey.html"><img id="myImg"
                                src="https://cdn.shopify.com/s/files/1/0022/5011/3123/products/BLP_Tracklist-BlackCrewNeck_1024x1024.png?v=1601238528"
                                width="90%" alt="Avatar5"></a>
                        <h1><a href="../bp-jersey.html" class="color"> Sudadera Blackpink</h1>
                        </a>
                        <p class="color">$25.000</p>
                    </div>
                    <div class="flip-card-back card-title">
                        <a href="../bp-jersey.html"><img id="myImg"
                                src="https://cdn.shopify.com/s/files/1/0022/5011/3123/products/BLP_Tracklist-BlackCrewNeck_Back_1024x1024.png?v=1601337866"
                                width="90%" alt="Avatar5"></a>
                        <h1><a href="../bp-jersey.html" class="color"> Sudadera Blackpink</h1>
                        </a>
                        <p class="color">$25.000</p>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="container-fluid ttt">
        <div class="row">
            <div class="flip-card col-sm-4 filterDiv NCT te">
                <div class="flip-card-inner">
                    <div class="flip-card-front card-title">
                        <a href="../nct-jersey.html"><img id="myImg"
                                src="https://cdn.shopify.com/s/files/1/0492/7494/5701/products/FutureLS1_1024x1024.png?v=1604945974"
                                width="90%" alt="Avatar6"></a>
                        <h1><a href="../nct-jersey.html" class="color"> Sudadera NCT</h1>
                        </a>
                        <p class="color">$19.000</p>
                    </div>
                    <div class="flip-card-back card-title">
                        <a href="../nct-jersey.html"><img id="myImg"
                                src="https://cdn.shopify.com/s/files/1/0492/7494/5701/products/FutureLS2_1024x1024.png?v=1604945974"
                                width="90%" alt="Avatar6"></a>
                        <h1><a href="../nct-jersey.html" class="color"> Sudadera NCT</h1>
                        </a>
                        <p class="color">$19.000</p>
                    </div>
                </div>
            </div>
            <div class="flip-card col-sm-4 filterDiv NCT te">
                <div class="flip-card-inner">
                    <div class="flip-card-front card-title">
                        <a href="../nct-hat.html"><img id="myImg"
                                src="https://cdn.shopify.com/s/files/1/0492/7494/5701/products/DadHat1_1024x1024.png?v=1604945923"
                                width="90%" alt="Avatar6"></a>
                        <h1><a href="../nct-hat.html" class="color"> Gorra NCT </h1>
                        </a>
                        <p class="color">$19.000</p>
                    </div>
                    <div class="flip-card-back card-title">
                        <a href="../nct-hat.html"><img id="myImg"
                                src="https://cdn.shopify.com/s/files/1/0492/7494/5701/products/DadHat2_1024x1024.png?v=1604945923"
                                width="90%" alt="Avatar6"></a>
                        <h1><a href="../nct-hat.html" class="color"> Gorra NCT</h1>
                        </a>
                        <p class="color">$19.000</p>
                    </div>
                </div>
            </div>
            <div class="flip-card col-sm-4 filterDiv NCT te">
                <div class="flip-card-inner">
                    <div class="flip-card-front card-title">
                        <a href="../nct-hoodie.html"><img id="myImg"
                                src="https://cdn.shopify.com/s/files/1/0492/7494/5701/products/CrewneckPast1_1024x1024.png?v=1604946187"
                                width="90%" alt="Avatar6"></a>
                        <h1><a href="../nct-hoodie.html" class="color"> Sudadera NCT </h1>
                        </a>
                        <p class="color">$19.000</p>
                    </div>
                    <div class="flip-card-back card-title">
                        <a href="../nct-hoodie.html"><img id="myImg"
                                src="https://cdn.shopify.com/s/files/1/0492/7494/5701/products/CrewneckPast2_1024x1024.png?v=1604946187"
                                width="90%" alt="Avatar6"></a>
                        <h1><a href="../nct-hoodie.html" class="color"> Sudadera NCT</h1>
                        </a>
                        <p class="color">$19.000</p>
                    </div>
                </div>
            </div>
        </div>
    </div>
    </div>
    <!--fin grid-->
    <!--pie de pagina-->
    <footer class="bg-dark text-light bp bor">
        <div class="container-fluid">
            <div class="row">
                <div class="col-4 text-left p-2">
                    <h3>KpoperMaximo</h3>
                    <p>Calle falsa 123
                        <br>
                        KpoperMaximo@gmail.com
                    </p>
                    <a href="../Terminos/terminos-condiciones.html" class="color1">Terminos y condiciones</a>
                    <br>
                    <a href="../Terminos/preguntas-frecuentes.html" class="color1">Preguntas Frecuentes</a>
                    <br>
                    <a href="../Terminos/sobre-nosotros.html" class="color1">Sobre Nosotros</a>
                </div>
                <div class="col-4">
                    Siguenos en:
                    <br>
                    <i class='fab fa-facebook-square ic'></i>
                    <i class='fab fa-instagram ic'></i>
                    <i class='fab fa-twitter-square ic'></i>
                </div>
                <div class="col-4">
                    Medios de Pago:
                    <br>
                    <i class='fab fa-cc-paypal ic'></i>
                </div>
            </div>
        </div>
    </footer>
    <!--fin pie de pagina-->
</body>
<script>
    filterSelection("all")
    function filterSelection(c) {
        var x, i;
        x = document.getElementsByClassName("filterDiv");
        if (c == "all") c = "";
        for (i = 0; i < x.length; i++) {
            w3RemoveClass(x[i], "show");
            if (x[i].className.indexOf(c) > -1) w3AddClass(x[i], "show");
        }
    }

    function w3AddClass(element, name) {
        var i, arr1, arr2;
        arr1 = element.className.split(" ");
        arr2 = name.split(" ");
        for (i = 0; i < arr2.length; i++) {
            if (arr1.indexOf(arr2[i]) == -1) { element.className += " " + arr2[i]; }
        }
    }

    function w3RemoveClass(element, name) {
        var i, arr1, arr2;
        arr1 = element.className.split(" ");
        arr2 = name.split(" ");
        for (i = 0; i < arr2.length; i++) {
            while (arr1.indexOf(arr2[i]) > -1) {
                arr1.splice(arr1.indexOf(arr2[i]), 1);
            }
        }
        element.className = arr1.join(" ");
    }

    // Add active class to the current button (highlight it)
    var btnContainer = document.getElementById("myBtnContainer");
    var btns = btnContainer.getElementsByClassName("btn");
    for (var i = 0; i < btns.length; i++) {
        btns[i].addEventListener("click", function () {
            var current = document.getElementsByClassName("active");
            current[0].className = current[0].className.replace(" active", "");
            this.className += " active";
        });
    }

    /* BUSCAR POR LISTA */
    function autocomplete(inp, arr) {
        /*the autocomplete function takes two arguments,
        the text field element and an array of possible autocompleted values:*/
        var currentFocus;
        /*execute a function when someone writes in the text field:*/
        inp.addEventListener("input", function (e) {
            var a, b, i, val = this.value;
            /*close any already open lists of autocompleted values*/
            closeAllLists();
            if (!val) { return false; }
            currentFocus = -1;
            /*create a DIV element that will contain the items (values):*/
            a = document.createElement("DIV");
            a.setAttribute("id", this.id + "autocomplete-list");
            a.setAttribute("class", "autocomplete-items");
            /*append the DIV element as a child of the autocomplete container:*/
            this.parentNode.appendChild(a);
            /*for each item in the array...*/
            for (i = 0; i < arr.length; i++) {
                /*check if the item starts with the same letters as the text field value:*/
                if (arr[i].substr(0, val.length).toUpperCase() == val.toUpperCase()) {
                    /*create a DIV element for each matching element:*/
                    b = document.createElement("DIV");
                    /*make the matching letters bold:*/
                    b.innerHTML = "<strong>" + arr[i].substr(0, val.length) + "</strong>";
                    b.innerHTML += arr[i].substr(val.length);
                    /*insert a input field that will hold the current array item's value:*/
                    b.innerHTML += "<input type='hidden' value='" + arr[i] + "'>";
                    /*execute a function when someone clicks on the item value (DIV element):*/
                    b.addEventListener("click", function (e) {
                        /*insert the value for the autocomplete text field:*/
                        inp.value = this.getElementsByTagName("input")[0].value;
                        /*close the list of autocompleted values,
                        (or any other open lists of autocompleted values:*/
                        closeAllLists();
                    });
                    a.appendChild(b);
                }
            }
        });
        /*execute a function presses a key on the keyboard:*/
        inp.addEventListener("keydown", function (e) {
            var x = document.getElementById(this.id + "autocomplete-list");
            if (x) x = x.getElementsByTagName("div");
            if (e.keyCode == 40) {
                /*If the arrow DOWN key is pressed,
                increase the currentFocus variable:*/
                currentFocus++;
                /*and and make the current item more visible:*/
                addActive(x);
            } else if (e.keyCode == 38) { //up
                /*If the arrow UP key is pressed,
                decrease the currentFocus variable:*/
                currentFocus--;
                /*and and make the current item more visible:*/
                addActive(x);
            } else if (e.keyCode == 13) {
                /*If the ENTER key is pressed, prevent the form from being submitted,*/
                e.preventDefault();
                if (currentFocus > -1) {
                    /*and simulate a click on the "active" item:*/
                    if (x) x[currentFocus].click();
                }
            }
        });
        function addActive(x) {
            /*a function to classify an item as "active":*/
            if (!x) return false;
            /*start by removing the "active" class on all items:*/
            removeActive(x);
            if (currentFocus >= x.length) currentFocus = 0;
            if (currentFocus < 0) currentFocus = (x.length - 1);
            /*add class "autocomplete-active":*/
            x[currentFocus].classList.add("autocomplete-active");
        }
        function removeActive(x) {
            /*a function to remove the "active" class from all autocomplete items:*/
            for (var i = 0; i < x.length; i++) {
                x[i].classList.remove("autocomplete-active");
            }
        }
        function closeAllLists(elmnt) {
            /*close all autocomplete lists in the document,
            except the one passed as an argument:*/
            var x = document.getElementsByClassName("autocomplete-items");
            for (var i = 0; i < x.length; i++) {
                if (elmnt != x[i] && elmnt != inp) {
                    x[i].parentNode.removeChild(x[i]);
                }
            }
        }
        /*execute a function when someone clicks in the document:*/
        document.addEventListener("click", function (e) {
            closeAllLists(e.target);
        });
    }
    var groups = ["blackpink", "twice", "nct"];

    /*initiate the autocomplete function on the "myInput" element, and pass along the countries array as possible autocomplete values:*/
    autocomplete(document.getElementById("myInput"), groups);
/* FIN BUSCAR POR LISTA */
</script>